Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.management
Interface GarbageCollectorMXBean

All Superinterfaces:
  MemoryManagerMXBean

    public interface GarbageCollectorMXBean

extends MemoryManagerMXBean

The management interface for the garbage collection of the Java virtual machine. Garbage collection is the process that the Java virtual machine uses to find and reclaim unreachable objects to free up memory space. A garbage collector is one type of `memory manager`.

A Java virtual machine may have one or more instances of the implementation class of this interface. An instance implementing this interface is an MXBean that can be obtained by calling the `ManagementFactory.getGarbageCollectorMXBeans()` method or from the `platform `MBeanServer`` method.

The `ObjectName` for uniquely identifying the MXBean for a garbage collector within an MBeanServer is:

> ``java.lang:type=GarbageCollector```,name=`collector's name

A platform usually includes additional platform-dependent information specific to a garbage collection algorithm for monitoring.

Since:
  1.5
See Also:
  `MemoryMXBean`, JMX Specification., Ways to Access MXBeans

Method Summary
`long` | `getCollectionCount()` Returns the total number of collections that have occurred.
`long` | `getCollectionTime()` Returns the approximate accumulated collection elapsed time in milliseconds.

Methods inherited from interface java.lang.management.MemoryManagerMXBean
`getMemoryPoolNames, getName, isValid`

Method Detail

### getCollectionCount

    long getCollectionCount()

  Returns the total number of collections that have occurred. This method returns `-1` if the collection count is undefined for this collector.

  Returns:
    the total number of collections that have occurred.

### getCollectionTime

    long getCollectionTime()

  Returns the approximate accumulated collection elapsed time in milliseconds. This method returns `-1` if the collection elapsed time is undefined for this collector.

  The Java virtual machine implementation may use a high resolution timer to measure the elapsed time. This method may return the same value even if the collection count has been incremented if the collection elapsed time is very short.

  Returns:
    the approximate accumulated collection elapsed time in milliseconds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.